# copyright (C) 1997-98 Jean-Luc Fontaine (mailto:jfontain@mygale.org)
# this program is free software: please read the COPYRIGHT file enclosed in this package or use the Help Copyright menu

set rcsId {$Id: font.tcl,v 1.3 1998/05/24 19:24:43 jfontain Exp $}

class font {
    catch {widget::widget}       ;# force widget class load for static data members visibility below, in case of package utilization
    set font::(mediumBold) [eval font create [font actual $widget::(default,ButtonFont)]]
    set font::(mediumNormal) [eval font create [font actual $font::(mediumBold)]]
    font configure $font::(mediumNormal) -weight normal
    set font::(smallNormal) [eval font create [font actual $font::(mediumNormal)]]
    # small size is 80% of medium size
    font configure $font::(smallNormal) -size [expr {round(0.8*[font actual $font::(mediumNormal) -size])}]
}

